<?php
/*
Copyright (C) 2009  VideoWhisper.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/
// no direct access
defined('_JEXEC') or die('Restricted access');

class TableRoom extends JTable
{
    /**
     * Primary Key
     *
     * @var int
     */
    var $id = null;

    /**
     * @var string
     */
    var $room = null;


    /**
     * @var string
     */
    var $owner = null;

    /**
     * @var string
     */
    var $welcome = null;

    /**
     * @var string
     */
    var $layout = null;

    /**
     * @var int
     */
    var $visitors = null;

    /**
     * @var int
     */
    var $fillwindow = null;

      /**
     * @var int
     */
    var $suspended = null;

      /**
     * @var int
     */
    var $public = null;

	/**
     * @var string
     */
    var $camres = null;

    /**
     * @var int
     */
    var $camfps = null;

    /**
     * @var int
     */
    var $bandwith = null;

    /**
     * @var int
     */
    var $maxbandwith = null;

    /**
     * @var int
     */
    var $timeexpire = null;

    /**
     * @var int
     */
    var $timeout = null;

    /**
     * @var int
     */
    var $credits = null;

    /**
     * @var int
     */
    var $creditsreset = null;

    /**
     * @var int
     */
    var $timecreated = null;

    /**
     * @var int
     */
    var $capacity = null;

    /**
     * @var string
     */
    var $background = null;

    /**
     * @var string
     */
    var $admins = null;


    /**
     * @var string
     */
    var $mfilesd = null;

    /**
     * @var string
     */
    var $mfilesu = null;

    /**
     * @var string
     */
    var $mroomsc = null;

    /**
     * @var string
     */
    var $mroomsd = null;

    /**
     * @var string
     */
    var $showcredit = null;

    /**
    * @var string
    */
    var $mcsource = null;

    /**
    * @var string
    */
    var $mcsound = null;

    /**
    * @var string
    */
    var $mcvideo = null;

    /**
    * @var string
    */
    var $filter = null;

    /**
    * @var string
    */
    var $freplace = null;

    /**
     * @var string
     */
    var $rtmp = null;


    /**
     * Constructor
     *
     * @param object Database connector object
     */
    function TableRoom( &$db ) {
        parent::__construct('#__vw_rooms', 'id', $db);
    }
}
?>
