<?php
/*
VideoWhisper Video erp24 Integration (for Joomla):

Copyright (C) 2009  VideoWhisper.com
*/
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport( 'joomla.application.component.model' );

class RoomsModelRooms extends JModel
{


    /**
     * Hellos data array
     *
     * @var array
     */
    var $_data;

    /**
     * Returns the query
     * @return string The query to be used to retrieve the rows from the database
     */
    function _buildQuery()
    {
        $query = ' SELECT * '
            . ' FROM #__erp24_rooms '
        ;
        return $query;
    }

    /**
     * Retrieves the hello data
     * @return array Array of objects containing the data from the database
     */
    function getData()
    {
        // Lets load the data if it doesn't already exist
        if (empty( $this->_data ))
        {

		// First update it
		$db =& JFactory::getDBO();
		$ztime=time();

	//room cleanups
	$ztime=time();
	$query = "UPDATE #__erp24_rooms SET timelastaccess=timecreated where timelastaccess=0";
	$db->setQuery( $query );
  	$db->query();

	$query = "DELETE FROM #__erp24_rooms WHERE (( timeexpire > 0) AND ((timeexpire*86400 + timecreated) < $ztime)) OR ((timeout > 0) AND ( ($ztime-timelastaccess) > (timeout * 3600)))";
    $db->setQuery( $query );
  	$db->query();

		//credit reset
		$query = "UPDATE #__erp24_rooms SET creditslastreset=$ztime, timeused=0 WHERE (creditsreset > 0) AND (( $ztime - creditslastreset) > (creditsreset *86400))";
		$db->setQuery( $query );
		$db->query();

            $query = $this->_buildQuery();
            $this->_data = $this->_getList( $query );
        }

        return $this->_data;
    }



}
