DROP TABLE IF EXISTS `#__vw_rooms`;

CREATE TABLE `#__vw_rooms` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `owner` varchar(64) NOT NULL,
  `timecreated` int(11) NOT NULL default '0',
  `timelastaccess` int(11) NOT NULL default '0',
  `timeexpire` int(11) NOT NULL default '0',
  `timeout` int(11) NOT NULL default '0',
  `credits` int(11) NOT NULL default '0',
  `creditsreset` int(11) NOT NULL,
  `creditslastreset` int(11) NOT NULL,
  `showcredit` varchar(100) NOT NULL,
  `timeused` bigint(20) NOT NULL default '0',
  `welcome` text NOT NULL,
  `layout` text NOT NULL,
  `fillwindow` tinyint(3) unsigned NOT NULL default '0',
  `room` varchar(64) NOT NULL,
  `capacity` int(10) NOT NULL default '100',
  `camres` varchar(9) NOT NULL default '320x240',
  `camfps` int(10) unsigned NOT NULL default '15',
  `bandwidth` int(10) unsigned NOT NULL default '40960',
  `maxbandwidth` int(10) unsigned NOT NULL default '81920',
  `visitors` tinyint(3) unsigned NOT NULL default '1',
  `admins` varchar(100) NOT NULL default 'Admins',
  `mcsource` varchar(100) NOT NULL default 'Admins',
  `mcvideo` varchar(100) NOT NULL default 'All',
  `mcsound` varchar(100) NOT NULL default 'All',
  `filter` varchar(255) NOT NULL default '(?i)(fuck|cunt)(?-i)',
  `freplace` varchar(255) NOT NULL default ' ** ',
  `mfilesu` varchar(100) NOT NULL default 'Members',
  `mfilesd` varchar(100) NOT NULL default 'Admins',
  `mroomsc` varchar(100) NOT NULL default 'Admins',
  `mroomsd` varchar(100) NOT NULL default 'Admins',
  `rtmp` varchar(200) NOT NULL,
  `suspended` tinyint(4) NOT NULL default '0',
  `public` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `timelastaccess` (`timelastaccess`),
  KEY `room` (`room`),
  KEY `creditslastreset` (`creditslastreset`),
  KEY `owner` (`owner`),
  KEY `public` (`public`),
  KEY `suspended` (`suspended`),
  KEY `timeexpire` (`timeexpire`),
  KEY `timeout` (`timeout`),
  KEY `creditsreset` (`creditsreset`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='Video Whisper: Conference Rooms - 2009@videowhisper.com' AUTO_INCREMENT=5 ;

INSERT INTO `#__vw_rooms` (`id`, `owner`, `timecreated`, `timelastaccess`, `timeexpire`, `timeout`, `credits`, `creditsreset`, `creditslastreset`, `showcredit`, `timeused`, `welcome`, `layout`, `fillwindow`, `room`, `capacity`, `camres`, `camfps`, `bandwidth`, `maxbandwidth`, `visitors`, `admins`, `mcsource`, `mcvideo`, `mcsound`, `filter`, `freplace`, `mfilesu`, `mfilesd`, `rtmp`, `suspended`, `public`) VALUES(7, '', 1260671577, 1260674762, 0, 0, 0, 0, 0, 'Admins', 1305519, 'Welcome! This is the default landing room.', '', 0, 'Lobby', 100, '320x240', 15, 40960, 81920, 1, 'Admins', 'Admins', 'All', 'All', '(?i)(fuck|cunt)(?-i)', ' ** ', 'Members', 'Admins', '', 0, 1);
INSERT INTO `#__vw_rooms` (`id`, `owner`, `timecreated`, `timelastaccess`, `timeexpire`, `timeout`, `credits`, `creditsreset`, `creditslastreset`, `showcredit`, `timeused`, `welcome`, `layout`, `fillwindow`, `room`, `capacity`, `camres`, `camfps`, `bandwidth`, `maxbandwidth`, `visitors`, `admins`, `mcsource`, `mcvideo`, `mcsound`, `filter`, `freplace`, `mfilesu`, `mfilesd`, `rtmp`, `suspended`, `public`) VALUES(6, '', 1260669224, 1260669224, 0, 0, 0, 0, 0, 'Admins', 0, 'This is the primary room.', '', 0, 'Room 1', 30, '320x240', 15, 40960, 81920, 0, 'Admins', 'Admins', 'All', 'All', '(?i)(fuck|cunt)(?-i)', ' ** ', 'Members', 'Admins', '', 0, 1);
INSERT INTO `#__vw_rooms` (`id`, `owner`, `timecreated`, `timelastaccess`, `timeexpire`, `timeout`, `credits`, `creditsreset`, `creditslastreset`, `showcredit`, `timeused`, `welcome`, `layout`, `fillwindow`, `room`, `capacity`, `camres`, `camfps`, `bandwidth`, `maxbandwidth`, `visitors`, `admins`, `mcsource`, `mcvideo`, `mcsound`, `filter`, `freplace`, `mfilesu`, `mfilesd`, `rtmp`, `suspended`, `public`) VALUES(8, '', 1260752274, 1260752274, 0, 0, 0, 0, 0, 'Admins', 0, 'This is the secondary room.', '', 0, 'Room 2', 30, '320x240', 15, 40960, 81920, 0, 'Admins', 'Admins', 'All', 'All', '(?i)(fuck|cunt)(?-i)', ' ** ', 'Members', 'Admins', '', 0, 1);
INSERT INTO `#__vw_rooms` (`id`, `owner`, `timecreated`, `timelastaccess`, `timeexpire`, `timeout`, `credits`, `creditsreset`, `creditslastreset`, `showcredit`, `timeused`, `welcome`, `layout`, `fillwindow`, `room`, `capacity`, `camres`, `camfps`, `bandwidth`, `maxbandwidth`, `visitors`, `admins`, `mcsource`, `mcvideo`, `mcsound`, `filter`, `freplace`, `mfilesu`, `mfilesd`, `rtmp`, `suspended`, `public`) VALUES(9, '', 1260752326, 1260752326, 0, 0, 0, 0, 0, 'Admins', 0, 'This is the third room.', '', 0, 'Room 3', 30, '320x240', 15, 40960, 81920, 0, 'Admins', 'Admins', 'All', 'All', '(?i)(fuck|cunt)(?-i)', ' ** ', 'Members', 'Admins', '', 0, 1);


DROP TABLE IF EXISTS `#__vw_online`;

CREATE TABLE `#__vw_online` (
  `id` int(11) NOT NULL auto_increment,
  `session` varchar(64) NOT NULL,
  `username` varchar(64) NOT NULL,
  `room` varchar(64) NOT NULL,
  `message` text NOT NULL,
  `sdate` int(11) NOT NULL,
  `edate` int(11) NOT NULL,
  `status` tinyint(4) NOT NULL,
  `type` tinyint(4) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `status` (`status`),
  KEY `type` (`type`),
  KEY `room` (`room`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Video Whisper: Online Users - 2009@videowhisper.com' AUTO_INCREMENT=1 ;