<?php
/*
VideoWhisper Video erp24 Integration (for Joomla):

Copyright (C) 2009  VideoWhisper.com
*/
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

header('Cache-Control: no-cache');
header('Pragma: no-cache');
setcookie("videowhisper_com",time(),time()+3600);

jimport( 'joomla.application.component.model' );

class VwconModelFlash extends JModel
{


	function getOutput($task)
	{

	function hasrights($username, $usertype, $owner, $rights)
	{
		if (trim($rights)=="None") return 0;

		$rightslist=explode(",",$rights);
		foreach ($rightslist as $key => $value) $rightslist[$key]=trim($rightslist[$key]);

		if (in_array("All",$rightslist)) return 1;
		if (in_array($username,$rightslist)) return 1;
		if (in_array($usertype,$rightslist)) return 1;
		if (in_array("Admins",$rightslist) && (in_array($usertype, array('Super Administrator', 'Administrator', 'Manager')) || ($username==$owner&&$username))) return 1;
		if (in_array("Members",$rightslist) && $username) return 1;
		return 0;
	}

  	$params = &JComponentHelper::getParams( 'com_videowhisper_erp24' );
	$rtmp_server=$params->get( 'rtmp' );

	$path="components/com_videowhisper_erp24/";

	$db =& JFactory::getDBO();

	switch ($task)
	{

	case "login":

	//room cleanups
	$ztime=time();
	$query = "UPDATE #__erp24_rooms SET timelastaccess=timecreated where timelastaccess=0";
	$db->setQuery( $query );
  	$db->query();

	$query = "DELETE FROM #__erp24_rooms WHERE (( timeexpire > 0) AND ((timeexpire*86400 + timecreated) < $ztime)) OR ((timeout > 0) AND ( ($ztime-timelastaccess) > (timeout * 3600)))";
    $db->setQuery( $query );
  	$db->query();

	//credit reset
	$query = "UPDATE #__erp24_rooms SET creditslastreset=$ztime, timeused=0 WHERE (creditsreset > 0) AND (( $ztime - creditslastreset) > (creditsreset *86400))";
	$db->setQuery( $query );
	$db->query();

	$room_name=JRequest::getVar( 'room_name' );

	$sql="SELECT * FROM #__erp24_rooms WHERE room='$room_name'";
	$db->setQuery( $sql );
	$room = $db->loadObject();
	if (!$room)
	{
		$message="<a href=\"/\">Room '$room_name' does not exist. Contact administrator!</a>";
		$loggedin=0;
	}
	else
	{
	$owner=$room->owner;

	$user =& JFactory::getUser();
	if (!$user->get('id')) $loggedin=0; else $loggedin=1;
	if (!$loggedin&&!$room->visitors) $message="<a href=\"/\">Please login to your account first (on member frontend)!</a>";
	$username=$user->get('name');
	$usertype=$user->usertype;

	$files_panel=hasrights($username, $usertype, $owner, $room->mfiles);
	$allow_fileupload=hasrights($username, $usertype, $owner, $room->mfilesu);
	$allow_filedelete=hasrights($username, $usertype, $owner, $room->mfilesd);
	$administrator=hasrights($username, $usertype, $owner, $room->admins);
	$chat_panel=hasrights($username, $usertype, $owner, $room->mchat);
	$mprivate=hasrights($username, $usertype, $owner, $room->mprivate);
	$users_panel=hasrights($username, $usertype, $owner, $room->musers);
	$cam_panel=hasrights($username, $usertype, $owner, $room->mcam);
	$watch=hasrights($username, $usertype, $owner, $room->mwatch);
	$external=hasrights($username, $usertype, $owner, $room->mext);
	$showcredit=hasrights($username, $usertype, $owner, $room->showcredit);
	$presentation2_enabled=hasrights($username, $usertype, $owner, $room->msecond);
	
	if ($room->rtmp) $rtmp_server=$room->rtmp;
	
	$cam=explode("x", $room->camres);

	$visitor=0;
	if (!$loggedin&&$room->visitors)
	{
		$loggedin=1;
		$username="Guest".rand(0,10000);
		$usertype="Guest";
		$visitor=1;
	}

	if (!$rtmp_server)
	{
		$message="<a href=\"/\">RTMP server not defined!</a>";
		$loggedin=0;	
	}
	
	//enabled
	if ($room->suspended)
	{
		$message="<a href=\"/\">Room '$room_name' is suspended!</a>";
		$loggedin=0;
		$visitor=0;
	}
	$message=urlencode($message);

	//limited
	if ($room->credits) $disconnectOnTimeout=1;	else $disconnectOnTimeout=0;


	$host=$_SERVER['HTTP_HOST'];
	$path=$_SERVER['REQUEST_URI'];
	$lpath=strrchr($path, "/");
	if ($lpath) $path=substr($path,0,-strlen($lpath)+1);
	$apath=urlencode("http://".$host.$path);

	$presentation_server=urlencode($room->rtmp1);
	$presentation2_server=urlencode($room->rtmp2);
	$presentation_stream=urlencode($room->stream1);
	$presentation2_stream=urlencode($room->stream2);
}

	return "server=".urlencode($rtmp_server)."&room=".$room->room."&username=".$username."&visitor=".$visitor."&loggedin=".$loggedin."&msg=$message&webserver=$apath&file_upload=".$allow_fileupload."&file_delete=".$allow_filedelete."&chat_enabled=".$chat_panel."&files_enabled=".$files_panel."&users_enabled=".$users_panel."&administrator=".$administrator."&presentation2_enabled=$presentation2_enabled&room_limit=".$room->capacity."&welcome=".urlencode($room->welcome)."&showTimer=1&showCredit=".$showcredit."&disconnectOnTimeout=".$disconnectOnTimeout."&regularCams=".$cam_panel."&regularWatch=".$watch."&privateTextchat=".$mprivate."&externalStream=".$external."&camWidth=".$cam[0]."&camHeight=".$cam[1]."&camFPS=".$room->camfps."&camBandwidth=".$room->bandwidth."&showCamSettings=1&camMaxBandwidth=".$room->maxbandwidth."&change_background=".$administrator."&presentation_server=$presentation_server&presentation_stream=$presentation_stream&presentation2_server=$presentation2_server&presentation2_stream=$presentation2_stream&background_url=".$room->background."&layoutCode=" . $layoutCode . urlencode($room->layout) . "&fillWindow=" . $room->fillwindow. "&loadstatus=1";
	break;

	case "files":
	$room=JRequest::getVar( 'room' );
	$res="<files>";

	$dir=$path."uploads";
	$dir.="/$room";
	if (!file_exists($dir)) mkdir($dir);
	$handle=opendir($dir);
	while
	(($file = readdir($handle))!==false)
	{
	if (($file != ".") && ($file != "..") && (!is_dir("$dir/".$file))) $res.="<file file_name=\"".$file."\" file_size=\"".filesize("$dir/".$file)."\" />";
	}
	closedir($handle);
	$res.="</files>";
	return $res;
	break;

	case "upload":
	$room=JRequest::getVar( 'room' );
	$ext=substr($_FILES['vw_file']['name'],-4);
	$allowed=array(".zip",".jpg","jpeg",".png",".gif",".txt",".doc","docx",".htm","html",".pdf",".swf");

	if (in_array($ext,$allowed)) move_uploaded_file($_FILES['vw_file']['tmp_name'], $path."uploads/".$room."/".$_FILES['vw_file']['name']);
	return "loadstatus=1";
	break;

	case "fdelete":
	$room=JRequest::getVar( 'room' );
	$filename=JRequest::getVar( 'filename' );
	unlink($path."uploads/".$room."/".$filename);
	return "loadstatus=1";
	break;


	case "status":
	$room_name = JRequest::getVar( 'r' );
	$session= JRequest::getVar( 's' );
	$username= JRequest::getVar( 'u' );

	$currentTime=JRequest::getVar( 'ct' );
	$lastTime=JRequest::getVar( 'lt' );

	$maximumSessionTime=0;
	$disconnect="";

	$sql="SELECT * FROM #__erp24_rooms WHERE room='$room_name'";
	$db->setQuery( $sql );
	$room = $db->loadObject();

	if (!$room)
	{
		$disconnect=urlencode("You were disconnected because room $room_name is missing!");
	}
	else
	{

	if ($room->credits) $maximumSessionTime = $room->credits * 60000;
	if (!$room->timeused) $room->timeused=0;

	//update room stream time
	$deltaTime=$currentTime-$lastTime;
	$time=time();
	$sql = "UPDATE #__erp24_rooms SET timeused = timeused + $deltaTime, timelastaccess=$time WHERE room = '$room_name'";
    $db->setQuery( $sql );
  	$db->query();
	//$debug="$deltatime+++$room_name+++$time+++".$db->getErrorMsg."+++".$sql;

	$room->timeused=$room->timeused+$deltaTime;
	}

	return "timeTotal=$maximumSessionTime&timeUsed=".$room->timeused."&lastTime=$currentTime&disconnect=$disconnect&loadstatus=1&debug=$debug";
	break;

	default:
	return "error=$task-NotSupported";
	break;
	}

    }
}